Loading...
Searching...
No Matches
BALL::ConstantFunction< constant_template > Class Template Reference
Foundation Classes » Mathematics » Function classes

`#include <BALL/MATHS/function.h>`

## Public Member Functions

Function realization
BALL_INLINE float | operator() (float) const

## Detailed Description

template<int constant_template>
class BALL::ConstantFunction< constant_template >

Constant function class. This function represents a constant that is already known at compile time.

Definition at line 20 of file function.h.

## Member Function Documentation

## operator()()

template<int constant_template>

BALL_INLINE float BALL::ConstantFunction< constant_template >::operator() | ( | float |  | ) | const

inline

Evaluation of this subterm

Parameters

  x | the point where to evaluate

Returns
  the function value

Definition at line 35 of file function.h.